﻿Type=StaticCode
Version=3.82
B4A=true
@EndOfDesignText@
'-------------------------------
'Code module
'-------------------------------
Sub Process_Globals



End Sub




'------------------------------------------------
'
'------------------------------------------------
Sub Init(bFirstTime As Boolean)
	Dim LocalMap 	As Map
 
'------------------------------------
 
 	If (bFirstTime) Then
		Main.constAppName = "Pool_App_Droid"
	
	
		'Dateipfad eintragen und Pfad erstellen
		Main.sDateiPfad =  File.DirDefaultExternal 
		File.MakeDir(File.DirDefaultExternal, "")		
 
 		'ist die Einstellungsdatei vorhanden?
		If File.Exists(Main.sDateiPfad, "Pool_App_Droid.txt") Then
	
			Try
				LocalMap.Initialize
				LocalMap = File.ReadMap(Main.sDateiPfad, "Pool_App_Droid.txt")
			
				Main.gRemoteIP		= LocalMap.Get("RemoteIP")
				Main.gRemotePort	= LocalMap.Get("RemotePort")
			Catch
				ToastMessageShow("Fehler beim Einlesen von Programmeinstellungen aufgetreten!", False)
			End Try
		Else
			Main.gRemoteIP		= "192.168.x.y"
			Main.gRemotePort	= 12345
			ToastMessageShow("Die Datei mit den Programmeinstellungen ist nicht verfügbar! Es fehlen die Festlegung der IP und Port des Servers. Bitte geben Sie die Werte von Hand ein und starten das Programm neu." , True)	
		End If	

		'eintragen der TCP-Infos
		Main.gClientConn	= False
		Main.TcpServer.Initialize(0, "")

		
		
		'Timer initialisieren
		Main.Timer_Main.Initialize("OnTimer_Main", 1333)
		Main.Timer_Main.Enabled	= True
		
		Main.Timer_Tcp.Initialize("OnTimer_Tcp", 2500)
		Main.Timer_Tcp.Enabled = False
		

	
 
 
	
	
	
	
	End If

End Sub


'-------------------------------
' Daten zum Server senden
'-------------------------------
Sub Send_TcpData(sData As String)  
 
	Dim buffer() As Byte
'-------------------------------

	'wenn eine Verbindung, dann Daten senden
	If (Main.TcpClient.Connected AND Main.ASDataStream.IsInitialized) Then
	  buffer = sData.GetBytes("UTF8")
	  Main.ASDataStream.Write(buffer)
	End If

End Sub
 

Sub IIF(c As Boolean, TrueRes As Object, FalseRes As Object)
 If c Then Return TrueRes Else Return FalseRes
End Sub


'-----------------------------------------------------------------------
' 
'--------------------------------------------------------------------
Sub WriteIni(sPath As String, sFile As String,sKey As String,sValue As String)
	Dim LocalMap As Map
'--------------------

	LocalMap.Initialize
	If File.Exists(sPath,sFile) Then
	
	Else
		File.WriteMap(sPath, sFile, LocalMap)   'to create it if not exist
	End If
	
	LocalMap = File.ReadMap(sPath,sFile)
	LocalMap.Put(sKey, sValue)
	File.WriteMap(sPath, sFile, LocalMap)
End Sub


'--------------------------------------------------------------------
'
'--------------------------------------------------------------------
'Sub ReadIni(sPath As String,sFile As String, sKey As String)
'	Dim LocalMap As Map
'--------------------
'
'	LocalMap = File.ReadMap(sPath,sFile)
'	For i = 0 To LocalMap.Size - 1
'		If LocalMap.GetKeyAt(i) = sKey Then 
'			Return LocalMap.GetValueAt(i)
'		End If
'	Next
'End Sub




