package leendert.pool;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "leendert.pool", "leendert.pool.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "leendert.pool", "leendert.pool.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "leendert.pool.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
//        try {
//            if (processBA.subExists("activity_actionbarhomeclick")) {
//                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
//                    getClass().getMethod("getActionBar").invoke(this), true);
//                BA.Log("adding event");
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
		return true;
	}   
// @Override
// public boolean onOptionsItemSelected(android.view.MenuItem item) {
//    if (item.getItemId() == 16908332) {
//        processBA.raiseEvent(null, "activity_actionbarhomeclick");
//        return true;
//    }
//    else
//        return super.onOptionsItemSelected(item); 
//}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static String _constappname = "";
public static anywheresoftware.b4a.objects.SocketWrapper _tcpclient = null;
public static anywheresoftware.b4a.objects.SocketWrapper.ServerSocketWrapper _tcpserver = null;
public static anywheresoftware.b4a.randomaccessfile.AsyncStreams _asdatastream = null;
public static anywheresoftware.b4a.objects.Timer _timer_tcp = null;
public static anywheresoftware.b4a.objects.Timer _timer_main = null;
public static String _sdateipfad = "";
public static String _gremoteip = "";
public static int _gremoteport = 0;
public static boolean _gclientconn = false;
public anywheresoftware.b4a.objects.PanelWrapper _pnlpage1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlpage2 = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlpage3 = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnltoolbox = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpn1_aflag_00 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpn1_aflag_01 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpn3_socketexist = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpn3_remport_data = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpn3_remip_data = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpn3_locip_data = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpn3datum_data = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper _cmdpn2_attraktion = null;
public leendert.pool.fkt _fkt = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
float _panelheight = 0f;
 //BA.debugLineNum = 70;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 71;BA.debugLine="Dim PanelHeight 	As Float";
_panelheight = 0f;
 //BA.debugLineNum = 76;BA.debugLine="Fkt.Init(FirstTime)";
mostCurrent._fkt._init(mostCurrent.activityBA,_firsttime);
 //BA.debugLineNum = 78;BA.debugLine="Activity.LoadLayout(\"Main\")                 			' Loads \"Main\" layout file";
mostCurrent._activity.LoadLayout("Main",mostCurrent.activityBA);
 //BA.debugLineNum = 79;BA.debugLine="Activity.Title = \"Pool_App_Droid\"";
mostCurrent._activity.setTitle((Object)("Pool_App_Droid"));
 //BA.debugLineNum = 82;BA.debugLine="pnlToolbox.Top = Activity.Height - pnlToolbox.Height";
mostCurrent._pnltoolbox.setTop((int) (mostCurrent._activity.getHeight()-mostCurrent._pnltoolbox.getHeight()));
 //BA.debugLineNum = 83;BA.debugLine="PanelHeight = pnlToolbox.Top - 5dip             	' Calculates the Panel height";
_panelheight = (float) (mostCurrent._pnltoolbox.getTop()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)));
 //BA.debugLineNum = 85;BA.debugLine="pnlPage1.Initialize(\"\")                   				' Initializes pnlPage1";
mostCurrent._pnlpage1.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 86;BA.debugLine="Activity.AddView(pnlPage1,0,0,100%x,PanelHeight)  ' Adds pnlPage1";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._pnlpage1.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),(int) (_panelheight));
 //BA.debugLineNum = 87;BA.debugLine="pnlPage1.LoadLayout(\"Page1\")                			' Loads \"Page1\" layout file";
mostCurrent._pnlpage1.LoadLayout("Page1",mostCurrent.activityBA);
 //BA.debugLineNum = 88;BA.debugLine="pnlPage1.Visible=True                   					' Sets pnlPage1 to Visible";
mostCurrent._pnlpage1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 90;BA.debugLine="pnlPage2.Initialize(\"\")                   				' Initializes pnlPage2";
mostCurrent._pnlpage2.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 91;BA.debugLine="Activity.AddView(pnlPage2,0,0,100%x,PanelHeight)  ' Adds pnlPage2";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._pnlpage2.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),(int) (_panelheight));
 //BA.debugLineNum = 92;BA.debugLine="pnlPage2.LoadLayout(\"Page2\")                			' Loads \"Page2\" layout file";
mostCurrent._pnlpage2.LoadLayout("Page2",mostCurrent.activityBA);
 //BA.debugLineNum = 93;BA.debugLine="pnlPage2.Visible=False                    				' Sets pnlPage1 to Visible";
mostCurrent._pnlpage2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 95;BA.debugLine="pnlPage3.Initialize(\"\")                   				' Initializes pnlPage3";
mostCurrent._pnlpage3.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 96;BA.debugLine="Activity.AddView(pnlPage3,0,0,100%x,PanelHeight) 	' Adds pnlPage3";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._pnlpage3.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),(int) (_panelheight));
 //BA.debugLineNum = 97;BA.debugLine="pnlPage3.LoadLayout(\"Page3\")                			' Loads \"Page3\" layout file";
mostCurrent._pnlpage3.LoadLayout("Page3",mostCurrent.activityBA);
 //BA.debugLineNum = 98;BA.debugLine="pnlPage3.Visible=False                    				' Sets pnlPage1 to Visible";
mostCurrent._pnlpage3.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 110;BA.debugLine="lblpn3_LocIP_Data.Text = TcpServer.GetMyIP";
mostCurrent._lblpn3_locip_data.setText((Object)(_tcpserver.GetMyIP()));
 //BA.debugLineNum = 111;BA.debugLine="lblpn3_RemIP_Data.Text 	= gRemoteIP";
mostCurrent._lblpn3_remip_data.setText((Object)(_gremoteip));
 //BA.debugLineNum = 112;BA.debugLine="lblpn3_RemPort_Data.Text	= gRemotePort";
mostCurrent._lblpn3_remport_data.setText((Object)(_gremoteport));
 //BA.debugLineNum = 116;BA.debugLine="cmdpn3_ClientVerbinden_Click";
_cmdpn3_clientverbinden_click();
 //BA.debugLineNum = 118;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 134;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 136;BA.debugLine="cmdPn1_Schliessen_Click";
_cmdpn1_schliessen_click();
 //BA.debugLineNum = 138;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 124;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 128;BA.debugLine="End Sub";
return "";
}
public static String  _asdatastream_newdata(byte[] _buffer) throws Exception{
String _sdaten = "";
String[] _adaten = null;
 //BA.debugLineNum = 336;BA.debugLine="Sub ASDataStream_NewData (Buffer() As Byte)";
 //BA.debugLineNum = 337;BA.debugLine="Dim sDaten As String";
_sdaten = "";
 //BA.debugLineNum = 338;BA.debugLine="Dim aDaten() As String";
_adaten = new String[(int) (0)];
java.util.Arrays.fill(_adaten,"");
 //BA.debugLineNum = 341;BA.debugLine="sDaten = BytesToString(Buffer, 0, Buffer.Length, \"UTF8\")";
_sdaten = anywheresoftware.b4a.keywords.Common.BytesToString(_buffer,(int) (0),_buffer.length,"UTF8");
 //BA.debugLineNum = 344;BA.debugLine="aDaten = Regex.split(\";\", sDaten)";
_adaten = anywheresoftware.b4a.keywords.Common.Regex.Split(";",_sdaten);
 //BA.debugLineNum = 347;BA.debugLine="Select aDaten(0)";
switch (BA.switchObjectToInt(_adaten[(int) (0)],"$000","$009")) {
case 0:
 break;
case 1:
 //BA.debugLineNum = 359;BA.debugLine="lblpn1_AFlag_00.Color = Fkt.IIF(aDaten(2).CharAt(0) = \"1\", Colors.Yellow, Colors.Gray)";
mostCurrent._lblpn1_aflag_00.setColor((int)(Double.parseDouble(mostCurrent._fkt._iif(mostCurrent.activityBA,_adaten[(int) (2)].charAt((int) (0))==BA.ObjectToChar("1"),(Object)(anywheresoftware.b4a.keywords.Common.Colors.Yellow),(Object)(anywheresoftware.b4a.keywords.Common.Colors.Gray)))));
 //BA.debugLineNum = 360;BA.debugLine="lblpn1_AFlag_01.Color = Fkt.IIF(aDaten(2).CharAt(1) = \"1\", Colors.Yellow, Colors.Gray)";
mostCurrent._lblpn1_aflag_01.setColor((int)(Double.parseDouble(mostCurrent._fkt._iif(mostCurrent.activityBA,_adaten[(int) (2)].charAt((int) (1))==BA.ObjectToChar("1"),(Object)(anywheresoftware.b4a.keywords.Common.Colors.Yellow),(Object)(anywheresoftware.b4a.keywords.Common.Colors.Gray)))));
 //BA.debugLineNum = 363;BA.debugLine="cmdpn2_Attraktion.Checked = Fkt.IIF(aDaten(2).CharAt(0) = \"1\", True, False)";
mostCurrent._cmdpn2_attraktion.setChecked(BA.ObjectToBoolean(mostCurrent._fkt._iif(mostCurrent.activityBA,_adaten[(int) (2)].charAt((int) (0))==BA.ObjectToChar("1"),(Object)(anywheresoftware.b4a.keywords.Common.True),(Object)(anywheresoftware.b4a.keywords.Common.False))));
 break;
}
;
 //BA.debugLineNum = 370;BA.debugLine="Log(sDaten)";
anywheresoftware.b4a.keywords.Common.Log(_sdaten);
 //BA.debugLineNum = 372;BA.debugLine="End Sub";
return "";
}
public static String  _cmdpage_click() throws Exception{
anywheresoftware.b4a.objects.ButtonWrapper _send = null;
 //BA.debugLineNum = 182;BA.debugLine="Sub cmdPage_Click";
 //BA.debugLineNum = 183;BA.debugLine="Dim Send As Button";
_send = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 187;BA.debugLine="Send = Sender";
_send.setObject((android.widget.Button)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 190;BA.debugLine="Select Send.Tag";
switch (BA.switchObjectToInt(_send.getTag(),(Object)("1"),(Object)("2"),(Object)("3"))) {
case 0:
 //BA.debugLineNum = 192;BA.debugLine="pnlPage1.Visible=True";
mostCurrent._pnlpage1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 193;BA.debugLine="pnlPage2.Visible=False";
mostCurrent._pnlpage2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 194;BA.debugLine="pnlPage3.Visible=False";
mostCurrent._pnlpage3.setVisible(anywheresoftware.b4a.keywords.Common.False);
 break;
case 1:
 //BA.debugLineNum = 197;BA.debugLine="pnlPage1.Visible=False";
mostCurrent._pnlpage1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 198;BA.debugLine="pnlPage2.Visible=True";
mostCurrent._pnlpage2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 199;BA.debugLine="pnlPage3.Visible=False";
mostCurrent._pnlpage3.setVisible(anywheresoftware.b4a.keywords.Common.False);
 break;
case 2:
 //BA.debugLineNum = 202;BA.debugLine="pnlPage1.Visible=False";
mostCurrent._pnlpage1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 203;BA.debugLine="pnlPage2.Visible=False";
mostCurrent._pnlpage2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 204;BA.debugLine="pnlPage3.Visible=True";
mostCurrent._pnlpage3.setVisible(anywheresoftware.b4a.keywords.Common.True);
 break;
}
;
 //BA.debugLineNum = 208;BA.debugLine="End Sub";
return "";
}
public static String  _cmdpn1_schliessen_click() throws Exception{
 //BA.debugLineNum = 215;BA.debugLine="Sub cmdPn1_Schliessen_Click";
 //BA.debugLineNum = 218;BA.debugLine="Timer_Tcp.Enabled = False";
_timer_tcp.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 219;BA.debugLine="Timer_Main.Enabled	= False";
_timer_main.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 222;BA.debugLine="ASDataStream.Close";
_asdatastream.Close();
 //BA.debugLineNum = 223;BA.debugLine="TcpClient.Close";
_tcpclient.Close();
 //BA.debugLineNum = 226;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 //BA.debugLineNum = 227;BA.debugLine="End Sub";
return "";
}
public static String  _cmdpn3_clienttrennen_click() throws Exception{
int _iretval = 0;
 //BA.debugLineNum = 234;BA.debugLine="Sub cmdpn3_ClientTrennen_Click";
 //BA.debugLineNum = 235;BA.debugLine="Dim iRetVal As Int";
_iretval = 0;
 //BA.debugLineNum = 240;BA.debugLine="If gClientConn Then";
if (_gclientconn) { 
 //BA.debugLineNum = 242;BA.debugLine="iRetVal = Msgbox2(\"Wollen Sie die Verbindung zum Server trennen?\", \"TCP-Verbindung\", \"Ja\", \"\", \"Nein\", Null)";
_iretval = anywheresoftware.b4a.keywords.Common.Msgbox2("Wollen Sie die Verbindung zum Server trennen?","TCP-Verbindung","Ja","","Nein",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 245;BA.debugLine="If (iRetVal = DialogResponse.POSITIVE) Then";
if ((_iretval==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE)) { 
 //BA.debugLineNum = 248;BA.debugLine="Timer_Tcp.Enabled = False";
_timer_tcp.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 249;BA.debugLine="ASDataStream.Close";
_asdatastream.Close();
 //BA.debugLineNum = 250;BA.debugLine="TcpClient.Close";
_tcpclient.Close();
 //BA.debugLineNum = 251;BA.debugLine="gClientConn = False";
_gclientconn = anywheresoftware.b4a.keywords.Common.False;
 };
 }else {
 //BA.debugLineNum = 255;BA.debugLine="Timer_Tcp.Enabled = False";
_timer_tcp.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 256;BA.debugLine="ASDataStream.Close";
_asdatastream.Close();
 //BA.debugLineNum = 257;BA.debugLine="TcpClient.Close";
_tcpclient.Close();
 //BA.debugLineNum = 258;BA.debugLine="gClientConn = False";
_gclientconn = anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 261;BA.debugLine="End Sub";
return "";
}
public static String  _cmdpn3_clientverbinden_click() throws Exception{
 //BA.debugLineNum = 267;BA.debugLine="Sub cmdpn3_ClientVerbinden_Click";
 //BA.debugLineNum = 270;BA.debugLine="If Not (gClientConn) Then";
if (anywheresoftware.b4a.keywords.Common.Not(_gclientconn)) { 
 //BA.debugLineNum = 273;BA.debugLine="If (TcpClient.IsInitialized = False) Then";
if ((_tcpclient.IsInitialized()==anywheresoftware.b4a.keywords.Common.False)) { 
 //BA.debugLineNum = 276;BA.debugLine="TcpClient.Initialize(\"TcpClient\")";
_tcpclient.Initialize("TcpClient");
 //BA.debugLineNum = 277;BA.debugLine="TcpClient.Connect(gRemoteIP , gRemotePort, 5000)";
_tcpclient.Connect(processBA,_gremoteip,_gremoteport,(int) (5000));
 }else {
 //BA.debugLineNum = 279;BA.debugLine="Msgbox(\"Die Socketverbindung wurde nicht eingerichtet oder nicht verfügbar!\" & CRLF & \"Bitte starten Sie die Anwendung neu.\", \"Fehler Socket\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Die Socketverbindung wurde nicht eingerichtet oder nicht verfügbar!"+anywheresoftware.b4a.keywords.Common.CRLF+"Bitte starten Sie die Anwendung neu.","Fehler Socket",mostCurrent.activityBA);
 };
 };
 //BA.debugLineNum = 282;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
fkt._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 43;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 44;BA.debugLine="Dim pnlPage1, pnlPage2, pnlPage3, pnlToolbox As Panel";
mostCurrent._pnlpage1 = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnlpage2 = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnlpage3 = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnltoolbox = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 46;BA.debugLine="Dim lblpn1_AFlag_00 As Label";
mostCurrent._lblpn1_aflag_00 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Dim lblpn1_AFlag_01 As Label";
mostCurrent._lblpn1_aflag_01 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 53;BA.debugLine="Dim lblpn3_SocketExist As Label";
mostCurrent._lblpn3_socketexist = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 54;BA.debugLine="Dim lblpn3_RemPort_Data As Label";
mostCurrent._lblpn3_remport_data = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 55;BA.debugLine="Dim lblpn3_RemIP_Data As Label";
mostCurrent._lblpn3_remip_data = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 56;BA.debugLine="Dim lblpn3_LocIP_Data As Label";
mostCurrent._lblpn3_locip_data = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 57;BA.debugLine="Dim lblpn3Datum_Data As Label";
mostCurrent._lblpn3datum_data = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 62;BA.debugLine="Private cmdpn2_Attraktion As ToggleButton";
mostCurrent._cmdpn2_attraktion = new anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper();
 //BA.debugLineNum = 63;BA.debugLine="End Sub";
return "";
}
public static String  _lblpn3_remip_data_longclick() throws Exception{
anywheresoftware.b4a.agraham.dialogs.InputDialog _id = null;
anywheresoftware.b4a.objects.collections.Map _localmap = null;
int _iretval = 0;
 //BA.debugLineNum = 382;BA.debugLine="Sub lblpn3_RemIP_Data_LongClick";
 //BA.debugLineNum = 383;BA.debugLine="Dim id As InputDialog";
_id = new anywheresoftware.b4a.agraham.dialogs.InputDialog();
 //BA.debugLineNum = 384;BA.debugLine="Dim LocalMap As Map";
_localmap = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 385;BA.debugLine="Dim iRetVal As Int";
_iretval = 0;
 //BA.debugLineNum = 388;BA.debugLine="id.InputType = id.INPUT_TYPE_NUMBERS";
_id.setInputType(_id.INPUT_TYPE_NUMBERS);
 //BA.debugLineNum = 389;BA.debugLine="id.Input 	= gRemoteIP";
_id.setInput(_gremoteip);
 //BA.debugLineNum = 390;BA.debugLine="iRetVal = DialogResponse.CANCEL";
_iretval = anywheresoftware.b4a.keywords.Common.DialogResponse.CANCEL;
 //BA.debugLineNum = 391;BA.debugLine="iRetVal = id.Show(\"Geben Sie die neue IPv4 Adresse des Servers im Format 'aaa.bbb.ccc.ddd' ein.\", \"Neuer IPv4 Adresse\", \"Speichern\", \"\", \"Abbruch\", Null)";
_iretval = _id.Show("Geben Sie die neue IPv4 Adresse des Servers im Format 'aaa.bbb.ccc.ddd' ein.","Neuer IPv4 Adresse","Speichern","","Abbruch",mostCurrent.activityBA,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null));
 //BA.debugLineNum = 393;BA.debugLine="Select Case iRetVal";
switch (BA.switchObjectToInt(_iretval,anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE,anywheresoftware.b4a.keywords.Common.DialogResponse.NEGATIVE)) {
case 0:
 //BA.debugLineNum = 396;BA.debugLine="If (id.Input = \"\") Then";
if (((_id.getInput()).equals(""))) { 
 //BA.debugLineNum = 397;BA.debugLine="ToastMessageShow(\"Es wurde nichts eingegeben!\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Es wurde nichts eingegeben!",anywheresoftware.b4a.keywords.Common.False);
 }else if((_id.getInput().length()>15)) { 
 //BA.debugLineNum = 399;BA.debugLine="ToastMessageShow(\"Die eingebebene IP-Adresse ist zu lang!\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Die eingebebene IP-Adresse ist zu lang!",anywheresoftware.b4a.keywords.Common.False);
 }else {
 //BA.debugLineNum = 402;BA.debugLine="gRemoteIP = id.Input";
_gremoteip = _id.getInput();
 //BA.debugLineNum = 403;BA.debugLine="lblpn3_RemIP_Data.Text = gRemoteIP";
mostCurrent._lblpn3_remip_data.setText((Object)(_gremoteip));
 //BA.debugLineNum = 406;BA.debugLine="Fkt.WriteIni(sDateiPfad, constAppName & \".txt\", \"RemoteIP\", gRemoteIP)";
mostCurrent._fkt._writeini(mostCurrent.activityBA,_sdateipfad,_constappname+".txt","RemoteIP",_gremoteip);
 };
 break;
case 1:
 //BA.debugLineNum = 410;BA.debugLine="ToastMessageShow(\"Abbruch durch den User\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Abbruch durch den User",anywheresoftware.b4a.keywords.Common.False);
 break;
}
;
 //BA.debugLineNum = 414;BA.debugLine="End Sub";
return "";
}
public static String  _lblpn3_remport_data_longclick() throws Exception{
anywheresoftware.b4a.agraham.dialogs.InputDialog _id = null;
anywheresoftware.b4a.objects.collections.Map _localmap = null;
int _iretval = 0;
 //BA.debugLineNum = 420;BA.debugLine="Sub lblpn3_RemPort_Data_LongClick";
 //BA.debugLineNum = 421;BA.debugLine="Dim id As InputDialog";
_id = new anywheresoftware.b4a.agraham.dialogs.InputDialog();
 //BA.debugLineNum = 422;BA.debugLine="Dim LocalMap As Map";
_localmap = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 423;BA.debugLine="Dim iRetVal As Int";
_iretval = 0;
 //BA.debugLineNum = 426;BA.debugLine="id.InputType = id.INPUT_TYPE_NUMBERS";
_id.setInputType(_id.INPUT_TYPE_NUMBERS);
 //BA.debugLineNum = 427;BA.debugLine="id.Input 	= gRemotePort";
_id.setInput(BA.NumberToString(_gremoteport));
 //BA.debugLineNum = 428;BA.debugLine="iRetVal = DialogResponse.CANCEL";
_iretval = anywheresoftware.b4a.keywords.Common.DialogResponse.CANCEL;
 //BA.debugLineNum = 429;BA.debugLine="iRetVal = id.Show(\"Geben Sie die neue Port-Nummer des Servers ein.\", \"Neuer Port-Nr\", \"Speichern\", \"\", \"Abbruch\", Null)";
_iretval = _id.Show("Geben Sie die neue Port-Nummer des Servers ein.","Neuer Port-Nr","Speichern","","Abbruch",mostCurrent.activityBA,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null));
 //BA.debugLineNum = 431;BA.debugLine="Select Case iRetVal";
switch (BA.switchObjectToInt(_iretval,anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE,anywheresoftware.b4a.keywords.Common.DialogResponse.NEGATIVE)) {
case 0:
 //BA.debugLineNum = 434;BA.debugLine="If (id.Input = \"\") Then";
if (((_id.getInput()).equals(""))) { 
 //BA.debugLineNum = 435;BA.debugLine="ToastMessageShow(\"Es wurde nichts eingegeben!\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Es wurde nichts eingegeben!",anywheresoftware.b4a.keywords.Common.False);
 }else if(((double)(Double.parseDouble(_id.getInput()))<1024)) { 
 //BA.debugLineNum = 437;BA.debugLine="ToastMessageShow(\"Verwenden sie keinen Port zwischen 0 to 1023!\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Verwenden sie keinen Port zwischen 0 to 1023!",anywheresoftware.b4a.keywords.Common.False);
 }else if(((double)(Double.parseDouble(_id.getInput()))>65535)) { 
 //BA.debugLineNum = 439;BA.debugLine="ToastMessageShow(\"Die Portnummer kann maximal 65535 betragen!\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Die Portnummer kann maximal 65535 betragen!",anywheresoftware.b4a.keywords.Common.False);
 }else {
 //BA.debugLineNum = 442;BA.debugLine="gRemotePort = id.Input";
_gremoteport = (int)(Double.parseDouble(_id.getInput()));
 //BA.debugLineNum = 443;BA.debugLine="lblpn3_RemPort_Data.Text = gRemotePort";
mostCurrent._lblpn3_remport_data.setText((Object)(_gremoteport));
 //BA.debugLineNum = 446;BA.debugLine="Fkt.WriteIni(sDateiPfad, constAppName & \".txt\", \"RemotePort\", gRemotePort)";
mostCurrent._fkt._writeini(mostCurrent.activityBA,_sdateipfad,_constappname+".txt","RemotePort",BA.NumberToString(_gremoteport));
 };
 break;
case 1:
 //BA.debugLineNum = 450;BA.debugLine="ToastMessageShow(\"Abbruch durch den User\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Abbruch durch den User",anywheresoftware.b4a.keywords.Common.False);
 break;
}
;
 //BA.debugLineNum = 453;BA.debugLine="End Sub";
return "";
}
public static String  _ontimer_main_tick() throws Exception{
long _now = 0L;
 //BA.debugLineNum = 289;BA.debugLine="Sub OnTimer_Main_Tick";
 //BA.debugLineNum = 290;BA.debugLine="Dim now  As Long";
_now = 0L;
 //BA.debugLineNum = 294;BA.debugLine="If gClientConn Then";
if (_gclientconn) { 
 //BA.debugLineNum = 295;BA.debugLine="lblpn3_SocketExist.Text = \"Verbindung zum Server\"";
mostCurrent._lblpn3_socketexist.setText((Object)("Verbindung zum Server"));
 }else {
 //BA.debugLineNum = 297;BA.debugLine="lblpn3_SocketExist.Text = \"Keine Verbindung zum Server!\"";
mostCurrent._lblpn3_socketexist.setText((Object)("Keine Verbindung zum Server!"));
 };
 //BA.debugLineNum = 305;BA.debugLine="DateTime.DateFormat = \"yyyy-MM-dd HH:mm\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("yyyy-MM-dd HH:mm");
 //BA.debugLineNum = 306;BA.debugLine="now = DateTime.now";
_now = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 //BA.debugLineNum = 307;BA.debugLine="lblpn3Datum_Data.Text = DateTime.Date(now)";
mostCurrent._lblpn3datum_data.setText((Object)(anywheresoftware.b4a.keywords.Common.DateTime.Date(_now)));
 //BA.debugLineNum = 311;BA.debugLine="End Sub";
return "";
}
public static String  _ontimer_tcp_tick() throws Exception{
String _sdaten = "";
byte[] _buffer = null;
 //BA.debugLineNum = 318;BA.debugLine="Sub OnTimer_Tcp_Tick";
 //BA.debugLineNum = 319;BA.debugLine="Dim sDaten As String";
_sdaten = "";
 //BA.debugLineNum = 320;BA.debugLine="Dim buffer() As Byte";
_buffer = new byte[(int) (0)];
;
 //BA.debugLineNum = 326;BA.debugLine="Fkt.Send_TcpData(\"$009;000\")";
mostCurrent._fkt._send_tcpdata(mostCurrent.activityBA,"$009;000");
 //BA.debugLineNum = 328;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 16;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 17;BA.debugLine="Dim constAppName	As String";
_constappname = "";
 //BA.debugLineNum = 21;BA.debugLine="Dim TcpClient 		As Socket";
_tcpclient = new anywheresoftware.b4a.objects.SocketWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim TcpServer   	As ServerSocket";
_tcpserver = new anywheresoftware.b4a.objects.SocketWrapper.ServerSocketWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim ASDataStream 	As AsyncStreams";
_asdatastream = new anywheresoftware.b4a.randomaccessfile.AsyncStreams();
 //BA.debugLineNum = 25;BA.debugLine="Dim Timer_Tcp		As Timer";
_timer_tcp = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 26;BA.debugLine="Dim Timer_Main	As Timer";
_timer_main = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 28;BA.debugLine="Dim sDateiPfad	As String";
_sdateipfad = "";
 //BA.debugLineNum = 29;BA.debugLine="Dim gRemoteIP		As String";
_gremoteip = "";
 //BA.debugLineNum = 30;BA.debugLine="Dim gRemotePort		As Int";
_gremoteport = 0;
 //BA.debugLineNum = 31;BA.debugLine="Dim gClientConn	As Boolean";
_gclientconn = false;
 //BA.debugLineNum = 36;BA.debugLine="End Sub";
return "";
}
public static String  _tcpclient_connected(boolean _successful) throws Exception{
long _now = 0L;
anywheresoftware.b4a.keywords.StringBuilderWrapper _sb = null;
 //BA.debugLineNum = 145;BA.debugLine="Sub TcpClient_Connected (Successful As Boolean)";
 //BA.debugLineNum = 146;BA.debugLine="Dim now As Long";
_now = 0L;
 //BA.debugLineNum = 147;BA.debugLine="Dim sb As StringBuilder";
_sb = new anywheresoftware.b4a.keywords.StringBuilderWrapper();
 //BA.debugLineNum = 151;BA.debugLine="If (Successful = True) Then";
if ((_successful==anywheresoftware.b4a.keywords.Common.True)) { 
 //BA.debugLineNum = 154;BA.debugLine="ASDataStream.Initialize(TcpClient.InputStream, TcpClient.OutputStream, \"ASDataStream\")";
_asdatastream.Initialize(processBA,_tcpclient.getInputStream(),_tcpclient.getOutputStream(),"ASDataStream");
 //BA.debugLineNum = 155;BA.debugLine="gClientConn = True";
_gclientconn = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 160;BA.debugLine="DateTime.DateFormat = \"yyyyMMdd;HH:mm:ss\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("yyyyMMdd;HH:mm:ss");
 //BA.debugLineNum = 161;BA.debugLine="now = DateTime.now";
_now = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 //BA.debugLineNum = 162;BA.debugLine="sb.Initialize";
_sb.Initialize();
 //BA.debugLineNum = 163;BA.debugLine="sb.Append(\"$000;\").Append(DateTime.Date(now))";
_sb.Append("$000;").Append(anywheresoftware.b4a.keywords.Common.DateTime.Date(_now));
 //BA.debugLineNum = 164;BA.debugLine="Fkt.Send_TcpData(sb.ToString)";
mostCurrent._fkt._send_tcpdata(mostCurrent.activityBA,_sb.ToString());
 //BA.debugLineNum = 168;BA.debugLine="Timer_Tcp.Enabled = True";
_timer_tcp.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 171;BA.debugLine="Timer_Tcp.Enabled = False";
_timer_tcp.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 172;BA.debugLine="gClientConn = False";
_gclientconn = anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 174;BA.debugLine="End Sub";
return "";
}
}
